import React from 'react';
import PropTypes from 'prop-types'
import RouteTile from './RouteTile'

const InputPanel = ({routes, onAdd}) => (
  <div>
    {routes.map((stops, i) => (
      <RouteTile key={i} stops={stops} />
    ))}
    <RouteTile onAdd={onAdd} stops={[]} />
  </div>
)

InputPanel.propTypes = {
  routes: PropTypes.arrayOf(PropTypes.arrayOf(PropTypes.string)).isRequired
}

export default InputPanel
