import React from 'react'
import PropTypes from 'prop-types'

const RouteTile = ({stops, onAdd, url}) => {
  let input

  return stops.length == 0 ?
  <div>
      <form onSubmit={(e) => {
        e.preventDefault()
        if (input.value.trim() == "") {
          return
        }
        onAdd(input.value.trim())
      }}>
        <input type="text" ref={node => {input = node}} />
        <input type="submit" value="+" />
      </form>
  </div>
  :
  <div>
    { url === undefined && <input type="button" value="-" /> }
    { url === undefined && <input type="button" value="&#x1F589;" /> }
    { url !== undefined && <div className="url">{url}</div> }
    <ul>
      {stops.map((stop, i) => (
        <li key={i}>{stop}</li>
      ))}
    </ul>
  </div>
}

RouteTile.propTypes = {
  stops: PropTypes.arrayOf(PropTypes.string).isRequired,
  url: PropTypes.string,
  onAdd: PropTypes.func.isRequired
}

export default RouteTile
